Fandom

WoWWiki

About patching..

Forum page

104,634pages on
this wiki
Add New Page

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.

This Forum has been archived

Visit the new Forums
Forums: Index World of Warcraft About patching..

Hello, I'm about to install World of Warcraft, but I noticed that I have to install lot of patches. So my question is that can I download version 3.0 (for example), and install it right away? Or does it require older patches to be installed BEFORE I can install 3.0?

Because "Blizzard installer" doesn't want to download with full rate, so it would be nice if I could download patch from this site, and install it right away.

Help would be appreciated, big thanks already! Please, help! :)

RandyR (talk) 13:52, December 27, 2009 (UTC) RandyR

If you install Wrath of the Lich King, that will install patch 3.0 and you can patch up from there. Also a "full" 3.0 patch will patch up to 3.0. --PcjWoWWiki admin (TDrop me a line!C58,926 contributions and counting) 14:03, December 27, 2009 (UTC)

Also on Fandom

Random Wiki